package concurrentModel;

import model.State;

public class ConcurrentState extends State {
	String env,reqMoni[];
	int updateNumber;
	ConcurrentState(String name) {
		super(name);
		// TODO 自動生成されたコンストラクター・スタブ
	}
	ConcurrentState(State env,State[] reqMoni,int upNum) {
		super(env.getName());
		String name=env.getName();
		this.env=env.getName();
		this.reqMoni=new String[reqMoni.length];
		for(int i=0;i<reqMoni.length;i++){
			this.reqMoni[i]=reqMoni[i].getName();
			name+=reqMoni[i].getName();
		}
		this.name=name;
		this.updateNumber=upNum;

	}
	ConcurrentState(String env,String reqMoni[],int upNum) {
		super(env.toString()+reqMoni.toString());
		// TODO 自動生成されたコンストラクター・スタブ
		this.env=env;
		this.reqMoni=reqMoni;
		this.updateNumber=upNum;
	}

	ConcurrentState(String env,String reqMoni[]) {
		super(env.toString()+reqMoni.toString());
		// TODO 自動生成されたコンストラクター・スタブ
		this.env=env;
		this.reqMoni=reqMoni;
	}
	String[] getReqMoni(){
		return this.reqMoni;
	}
	String getEnv(){
		return this.env;
	}
	int getUpdateStage(){
		return updateNumber;
	}
}
